## python-randomize 0.14

=== requirements.txt ===
coverage==3.6
ipdb==0.7
ipython==0.13.2
nose==1.3.0

=== debian/changelog ===
python-randomize (0.14-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Fixed unit testing with Python 3.11 (Closes: #1026521).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 19:02:15 +0100

python-randomize (0.14-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Drop Python 2 support (Closes: #938120).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Tue, 03 Sep 2019 10:53:01 +0200

python-randomize (0.14-1) unstable; urgency=medium

  * Initial release. (Closes: #879563)

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 22:30:25 +0200

=== debian/control ===
Source: python-randomize
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-ipdb,
 python3-ipython,
 python3-nose,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-randomize
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-randomize.git
Homepage: https://github.com/nloadholtes/nose-randomize
Testsuite: autopkgtest-pkg-python

Package: python3-randomize
Architecture: all
Depends:
 python3-coverage,
 python3-ipdb,
 python3-ipython,
 python3-nose,
 ${misc:Depends},
 ${python3:Depends},
Description: randomize the order of tests in a unittest.TestCase class - Python 3.x
 This is a nose plugin. With this package, it is possible to randomize the
 order of the tests within a unittest.TestCase class.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/randomize/randomize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
